// Returns the value of a URL parameter as a string or null if it's
// not found.
function getURLParameter(name) {
    if (typeof URLSearchParams !== "undefined") {
        var urlParams = new URLSearchParams(location.search);
        return urlParams.get(name);
    } else {
        // For really old browsers like IE11, do a simple string parsing
        var sPageURL = location.search.substring(1);
        var sURLVariables = sPageURL.split('&');
        var sParameterName;

        for (var i = 0; i < sURLVariables.length; i++) {
            sParameterName = sURLVariables[i].split('=');

            if (sParameterName[0] === name) {
                return typeof sParameterName[1] === "undefined" ? "" : decodeURIComponent(sParameterName[1]);
            }
        }
        return null;
    }
}
